Subject: Re: [Patch] mpc5200b: improve baud rate calculation (reach high baud rates, better accuracy)

From: Wolfram Sang <[email-masked]>
Date: Tue, 2 Mar 2010 16:27:30 +0100

> > > > This should be handled using a new compatible-entry
> > > > "fsl,mpc5200b-psc-uart".
> > > 
> > 
> > > I agree that this would be a lot cleaner, but it's also a lot more
> > intrusive.
> > > CC'ing the device tree discussion list here... comments, please!!
> > 
> > Why intrusive? Maybe I miss something?
> 
> Not for the source file, but for all the dts files, if they want to benefit
> from the detection of the '5200B.  Basically, *all* files have to be checked
> and touched if necessary.  Again, I agree that this would be the clean
> approach, but I wanted to avoid that effort.  Grant???

Please check the current 5200b-dts files. They already have the property,
exactly for the case that a specific driver may be added in the future. And
even if not, the behaviour of the driver would not change by missing your
driver improvement, so there is also no regression.

-- 
Pengutronix e.K.                           | Wolfram Sang                |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |